declare let CrudRequest: Function;
declare let defaultOptions: {};
/** 初始化系统参数 */
declare const InitOptions: (options?: OptionsType | undefined) => void;
/***********************************   方法   *********************************** */
/**
 * 深拷贝
 * @param Obj 需要拷贝的数据对象
 * @returns 一个新的数据对象
 */
declare function DeepClone(Obj: any): any;
/**
 * 数据合并
 * @param Obj1 原数据
 * @param Obj2 需要合并进来的数据
 * @returns
 */
declare function DataMerger(Obj1: any, Obj2?: {
    [x: string]: any;
}): any;
/***********************************   方法   *********************************** */
export { defaultOptions, InitOptions, DeepClone, DataMerger, CrudRequest };
