import type { AxiosPromise, Method,  AxiosRequestHeaders } from 'axios';
/** CRUD 使用的接口（也可做公共接口） */
export declare const $CrudRequest: ({ url, name, method, headers, data }: {
    url: string;
    name: string;
    method?: Method | undefined;
    headers?: AxiosRequestHeaders | undefined;
    data?: any;
}) => AxiosPromise<any>;
/** GET请求 */
export declare const GET: ({ url, name, params }: {
    url: string;
    name: string;
    params: any;
}) => AxiosPromise<any>;
/** POST 请求 */
export declare const POST: ({ url, name, data }: {
    url: string;
    name: string;
    data: any;
}) => AxiosPromise<any>;
