import { hooksName, useHooks } from './package/CRUD/hooks';
import type { HooksConfig } from './package/CRUD/hooks';
import type { App } from 'vue';
declare const _default: {
    install(app: App, options?: OptionsType | undefined): void;
};
export default _default;
export { hooksName, useHooks, HooksConfig };
/**
 * 解决Ts报错
 * 元素隐式具有 "any" 类型,因为类型为 "string" 的表达式不能用于索引类型 "typeof
 * for (let component in components) {
    app.component(component, components[component])
}
 */
